ALTER TABLE VS4TPromotionSetMB ADD
	TPsBTUntCode nvarchar(15) NULL
GO
UPDATE VS4TPromotionSetMB Set TPsBTUntCode=(select TPdtTUntCode from vs4tproduct where vs4tproduct.tpdtcode=VS4TPromotionSetMB.TPsBTPOSCode) where TPsBTUntCode='' or TPsBTUntCode is null
GO
ALTER TABLE VS4TPromotionSetMB ALTER COLUMN
	TPsBTUntCode nvarchar(15) NOT NULL
GO
